Bug 1473277 - USB keyboard and mouse not working correctly both pre and post install
USB keyboard and mouse not working correctly both pre and post install
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: libinput (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 07:50 EDT by Robin Bowes
Modified: 2017-11-03 12:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-12 22:41:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin Bowes 2017-07-20 07:50:01 EDT
When installing Fedora 26 Workstation on an HP Proliant Microserver (E31265L processor, 16GB RAM), the both the mouse and keyboard are not working properly. The mouse jumps large distances on small movements, and the keyboard inserts multiple additional characters.

I see the same mouse issue at the GUI login screen, post-install, and post-login. The mouse issue goes away post-login if I select the "GNOME on Xorg" option when logging in.

I discussed on #fedora and was advised to raise a bug against libinput

System info here: https://paste.fedoraproject.org/paste/dhjv5IJTHPTyiGZBLJDooQ/
Comment 1 Peter Hutterer 2017-09-04 23:32:54 EDT
sorry, this one slipped through the cracks. If it works on xorg, it's unlikely to be a libinput bug but looks to be a gnome bug instead. it's def. not a kernel bug if it works fine under xorg. Is the system under a special load that it's struggling to keep up? That could cause the jumps and the key repeat issues.

run libinput-debug-events and see if the duplicate key events appear there too, if not, it's def. within gnome.
Comment 2 Robin Bowes 2017-09-12 04:07:35 EDT
The hardware concerned is not currently in service and I'm not likely to get chance to try a reinstall any time soon, so I guess this ticket can be closed.
Comment 3 Peter Hutterer 2017-09-12 22:41:20 EDT
ok, closing. sorry about the delay

Note You need to log in before you can comment on or make changes to this bug.